<?php


namespace BitCommunism\Doctrine;


use Doctrine\Common\Persistence\Mapping\ClassMetadata;
use Doctrine\Common\Persistence\ObjectRepository;

interface EntityManager
{
    public function getResponsibleEntityManager(string $name): DefaultEntityManager;
    public function find($className, $id);
    public function persist($object);
    public function remove($object);
    public function merge($object);
    public function clear($objectName = null);
    public function detach($object);
    public function refresh($object);
    public function flush($entity = null);
    public function getRepository($className);
    public function getClassMetadata($className);
    public function initializeObject($object);
    public function contains($object);
    public function close();
    public function copy($entity, $deep = false);
    public function lock($entity, $lockMode, $lockVersion = null);
}