<?php

namespace BitCommunism\Doctrine;

use function DI\add;
use DI\Definition\EntryReference;

if (!function_exists(__NAMESPACE__ . '\\connections')) {
    /**
     * @param $connections
     * @return array
     */
    function connections($connections) {
        $connectionNames = [];

        $containerDef = [];

        foreach ($connections as $name => $connection) {
            $connectionNames[] = $name;

            $entityPathsObject = $connection['entity-paths'];
            $connectionObject = $connection['connection'];

            $containerDef['doctrine.entity-paths.' . $name] = $entityPathsObject;
            $containerDef['doctrine.connection.' . $name] = $connectionObject;
        }


        return array_merge(
            [
                'doctrine.connections' => add($connectionNames),
            ],
            $containerDef
        );
    }
}